@mixin make-z-index($s) {
    #{$s}z-auto{
        z-index: auto;
    }
    #{$s}z-0{
        z-index: 0;
    }
    @for $i from 1 to 11{
        #{$s}z-#{$i}{
            z-index: $i;
        }
        #{$s}-z-#{$i}{
            z-index: -$i;
        }
    }
    #{$s}z-20{
        z-index: 20;
    }
    #{$s}z-30{
        z-index: 30;
    }
    #{$s}z-40{
        z-index: 40;
    }
    #{$s}z-50{
        z-index: 50;
    }
    #{$s}z-60{
        z-index: 40;
    }
    #{$s}z-70{
        z-index: 70;
    }
    #{$s}z-80{
        z-index: 80;
    }
    #{$s}z-90{
        z-index: 90;
    }
    #{$s}z-100{
        z-index: 100;
    }
}